Summary: (transparent) IRC proxy with DCC support.
Name: tircproxy
Version: 0.4.5
Release: 1
Copyright: GPL
Group: Networking/Daemons
Source: tircproxy-0.4.tar.gz

%changelog
%description
The programs LSM entry:

Begin3
Title:          tircproxy
Version:        0.4.5
Description:    This is an IRC proxy server.  Features:
                + Supports DCC CHAT, SEND, RESUME and TSEND protocols.
                + Supports both transparent and dedicated operation.
                + Supports "anonymization" to hide users' identities.
                + Supports flexible authentication for access.
                + Can be run either standalone or via inetd.
                + Allows the admin to send "MOTD" style messages and/or
                  broadcasts to the user(s).
                + Can block trojans such as 'script.ini', 'dmsetup.exe', etc.
                + Access controlled by /etc/hosts.allow and /etc/hosts.deny.
                + Can cooperate with some identds for non-root operation, or
                  (if root) can change UID/GID according to client's IP addr.
                + Extensive documentation
Keywords:       IRC DCC transparent proxy
Author:         bre@netverjar.is (Bjarni R. Einarsson)
Maintained-by:  bre@netverjar.is (Bjarni R. Einarsson)
Primary-site:   metalab.unc.edu /pub/Linux/system/network/chat/irc
Original-site:  http://bre.klaki.net/programs/tircproxy/
Platform:       Linux, NetBSD, HP-UX, Solaris, hopefully other unices.
                Linux 2.0+ or IPF required for transparent operation.
Copying-policy: GPL
End

%prep
%setup -c
%build
cd tircproxy-0.4
./configure
make
strip tircproxy
cd docs
make tircproxy.html
cd ..

%install
cd tircproxy-0.4
rm -f /usr/sbin/tircproxy
mkdir -p /usr/doc/tircproxy-%{version}/manual
install -m 644 -o 0 -g 0 tircproxy.8 /usr/man/man8/tircproxy.8
install -m 644 -o 0 -g 0 docs/*.sgml docs/Makefile docs/*.html /usr/doc/tircproxy-%{version}/manual
install -m 644 -o 0 -g 0 CHANGELOG.txt /usr/doc/tircproxy-%{version}/CHANGELOG.txt
install -m 644 -o 0 -g 0 BUGS.txt /usr/doc/tircproxy-%{version}/BUGS.txt
install -m 644 -o 0 -g 0 README /usr/doc/tircproxy-%{version}/README
install -m 644 -o 0 -g 0 tircproxy-%{version}.lsm /usr/doc/tircproxy-%{version}/tircproxy-%{version}.lsm
install -m 644 -o 0 -g 0 trojans.html /usr/doc/tircproxy-%{version}/trojans.html
install -m 644 -o 0 -g 0 quizzes.txt /usr/doc/tircproxy-%{version}/quizzes.txt
install -s -m 755 -o 0 -g 0 tircproxy /usr/sbin/tircproxy
install -m 755 -o 0 -g 0 tircproxy.init /etc/rc.d/init.d/tircproxy.init

%files
/usr/sbin/tircproxy
/usr/man/man8/tircproxy.8
/etc/rc.d/init.d/tircproxy.init
/usr/doc/tircproxy-%{version}/
